Forum: Ruby on Rails I downloaded rails-2.3.2.zip. How do I install it?

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Sean T. (Guest)
on 2009-05-03 12:34
I've installed Ruby using the one-click installer for Windows.

As said, I downloaded the zip package for RoR and unzipped it to my
local hard disk. There is no main install.rb for RoR, but there is one
install.rb for Actionmailer, Actionpack, Activerecord, ActiveResource,
Activesupport. How to I install RoR then? Should I install each module
separately by running 'ruby install.rd' in each directory?
Fernando P. (Guest)
on 2009-05-03 12:54
Sean Tay wrote:
> I've installed Ruby using the one-click installer for Windows.
>
> As said, I downloaded the zip package for RoR and unzipped it to my
> local hard disk. There is no main install.rb for RoR, but there is one
> install.rb for Actionmailer, Actionpack, Activerecord, ActiveResource,
> Activesupport. How to I install RoR then? Should I install each module
> separately by running 'ruby install.rd' in each directory?

That's not the correct way. You should:

- install Ruby
- Download rubygems and run setup.rb
- Install Rails from rubygems with: $ [sudo] gem install rails
Sean T. (Guest)
on 2009-05-03 13:45
Fernando P. wrote:
> That's not the correct way. You should:
>
> - install Ruby
> - Download rubygems and run setup.rb
> - Install Rails from rubygems with: $ [sudo] gem install rails

I wonder what is the use of rails-2.3.2.zip then? The reason I
downloaded the zip package is because my home connection is slow, only
52 kbps. So, I usually download anything that is large from somewhere
else like office, school or internet cafe, and then install it at home.
I could download and install RubyStack from
http://bitnami.org/stack/rubystack. But in that case I can't learn the
manual setup and the packages included are not always latest, I believe.

Can anyone help on this account?
This topic is locked and can not be replied to.